# Copyright NDWORK.CO 2022
# Licensed under the MIT license
require 'sketchup.rb'
require 'extensions.rb'

# Setup ENV ( production | staging | development )
ENV['env'] = 'production'
ENV['plugin_directory_name'] = 'proxy-dnd'
case ENV['env']
when 'development'
  ENV['plugin_name'] = 'Proxy DND DEV'
when 'staging'
  ENV['plugin_name'] = 'Proxy DND UAT'
else
  ENV['plugin_name'] = 'Proxy DND'
end

module NDWORK
  module ProxyDND

    unless file_loaded?(__FILE__)
      ex = SketchupExtension.new(ENV['plugin_name'], "#{ENV['plugin_directory_name']}/proxy-dnd-main")
      ex.description = 'Best quality 3d object and textures for you.'
      ex.version     = '1.6.10'
      ex.copyright   = '© NDWORK.CO 2024'
      ex.creator     = 'NDWORK'
      Sketchup.register_extension(ex, true)

      file_loaded(__FILE__)
    end

  end # module ProxyDND
end # module NDWORK